@import 'components/variables';
@import 'components/mixin';


.leader-line {
    position: relative;

    .container {
        @include container;

        .static-high {
            height: 480px;
            @include uppercase;

            span {
                font-size: 20px;
                @include fontBold;
            }

            .line-1 {
                @include line(10%, 30%, 50%);
            }

            .line-2 {
                @include line(25%, 18%, 79%);
            }

            .line-3 {
                @include line(40%, 7%, 86%);
            }

            .line-4 {
                @include line(55%, 14%, 90%);
            }

            .line-5 {
                @include line(70%, 21%, 92%);
            }

            .line-6 {
                @include line(85%, 11%, 94%);
            }

            .line-7 {
                @include line(100%, 2%, 94%);
            }
        }

        .how-we-are {
            position: absolute;
            bottom: 10%;
            top: auto;
            left: 8.2%;
            right: auto;

            .hear-you-go {
                @include uppercase;
                color: red !important;
                font-family: $leadersFont;
                font-size: 50px;
            }

            .read-more {
                @include read-more;

                > span {
                    padding: 1%;
                }
            }

        }
    }
}

.quality {
    padding: 3%;

    .container {
        @include container;

        @include big-title-with-text(100%);
    }
}

.background-number {
    @include backGroundCoverHomePage($imgNumberHomePage);

    .font-number {
        @include uppercase;
        text-align: center;
        color: $colorGray;
        letter-spacing: 0px;
        line-height: normal;

        label {
            padding-top: 30%;
            padding-bottom: 25%;

            span {
                font-size: 103px;
                font-family: $SerifFont;
            }

            h5 {
                font-family: $montserratFontMedium;
            }
        }
    }
}

.service-home {
    background: transparent linear-gradient(137deg, #FFFAF7 0%, #F9F0EB 32%, $serviceColor 100%) 0% 0% no-repeat padding-box;
    padding-top: 5%;
    padding-bottom: 5%;

    .container {
        @include container;

        @include big-title-with-text(100%);

        .column {
            -ms-flex: 33.333333%;
            flex: 33.333333%;
            max-width: 33.333333%;
            padding: 0 0px;

            .border {
                border-color: $serviceColor !important;
                width: 100%;

                .svg-service {
                    width: 50px !important;
                    height: 40px !important;
                }

                .service-title {
                    @include capitalize;
                    color: $colorGreen;
                    font-size: 25px;
                    font-weight: bold;
                    font-family: var(--bs-body-font-family);
                }

                .service-word {
                    @include uppercase;
                    color: $colorGreen;
                }
            }

            .background-grid-red {
                @include backGroundCoverService('/images/home/service/red-color.svg');
                border: 1px solid $serviceColor;
                opacity: 1;
                color: #FFF0E6 !important;

                .service-title-background {
                    font-size: 25px;
                    text-transform: capitalize;
                    font-weight: bold !important;
                }

                .get-this-service {
                    color: $colorGray;
                    text-decoration: unset !important;
                }

                .get-this-service:hover {
                    color: unset;
                }
            }

            .background-grid-green {
                @extend .background-grid-red;
                @include backGroundCoverService('/images/home/service/green-color.svg');
            }
        }
    }
}

.letter {
    background-color: $colorWhite;
    padding-top: 3%;
    height: 100%;
    width: 100%;

    .container {

        @include container;
        @include backGroundCoverHomePage('/images/home/map.svg');
        position: relative;

        .we-master {
            @include bigTitleGreen;

            .languages-word {
                @include mediumTitleRed;
            }
        }

        .btn-get-qoute-footer {
            @include btn-read-homePage(50%);
            @include uppercase;
        }

        .height-17 {
            height: 17%;

            .col-md-2-letter {
                flex: 0 0 auto;
                width: 12.666667%;

                .letter-box {
                    font-size: 45px;
                    font-family: $SerifFont;
                    @include uppercase;
                }
            }
        }

        .table-position {
            position: absolute;
            bottom: 5%;
            top: auto;

            table {
                @include fontBold;

                th {
                    border-color: #d1c0b5;
                    border-top: 1px solid #dee2e6;
                    border-right-width: 7px;
                    border-left-width: 7px;
                    padding: 0.75rem;
                    vertical-align: middle;
                }

                td {
                    @extend th;
                }
            }
        }
    }
}

.home-slide {
    background: transparent linear-gradient(0deg, #03170F 0%, #0A462D 100%) 0% 0% no-repeat padding-box;
    padding-top: 5%;
    padding-bottom: 10%;
    position: relative;

    .slider-title-main {
        padding-top: 10%;
        padding-left: 20%;

        .promise {
            @include mediumTitleRed;
        }

        .promise-desc {
            @include titleWhite;
        }

        .btn-get-qoute-footer {
            @include btn-read-homePage(60%);
            @include uppercase;
        }
    }

    #myCarousel {
        top: 10%;

        .width-100 {
            width: 100%;
        }

        .display-flex {
            display: inline-flex;

            .border-green {
                background: transparent linear-gradient(358deg, #03170F 0%, #0A462D 100%) 0% 0% no-repeat padding-box;
                box-shadow: 0px 0px 30px #01160d;
                opacity: 1;
                padding: 25% 6% 5% 6%;
                margin-right: 3%;


                .slider-text {
                    text-transform: capitalize;
                    font-size: 28px;
                    color: $colorWhite;
                    font-family: $montserratFontMedium;
                    text-decoration: none;

                    .slider-text-1 {
                        padding-bottom: 15%;
                    }

                    .slider-text-2 {
                        font-size: 20px;
                        @include fontBold
                    }
                }
            }
        }

        .carousel-indicators-slide {
            position: absolute;
            top: 100%;
            right: 0;
            bottom: 0%;
            left: 0;
            z-index: 2;
            display: flex;
            justify-content: center;
            padding: 0;
            margin-right: 30%;
            margin-bottom: 0rem;
            margin-left: auto;
            list-style: none;

            .active {
                background-color: $colorRed;
            }
        }
    }
}

.document {

    padding-top: 5%;
    background-color: $colorWhite;

    .container {

        @include container;

        .document-text {

            h2 {
                @include bigTitleGreen;

                .different-word {
                    font-family: $SerifFont;
                    color: $colorRed;
                    font-weight: 500;
                    font-size: 59px;
                }

                .position-document {
                    float: right;
                    margin-right: 10%;
                }

                .btn-get-qoute-footer {
                    @include btn-read-homePage(25%);
                    @include uppercase;
                }
            }
        }

        .nav-line {
            border-bottom: solid;
            border-color: #FABBB6;
            margin-bottom: 2%;
            @include uppercase;

            .nav-tabs-custom {
                --bs-nav-tabs-border-width: 0px;
                justify-content: center;
                font-size: 19px;

                .tab-padding {
                    padding: 5% 6% 2% 6% !important;
                }

                .nav-link {
                    color: #FABBB6;
                    padding: 25px 5px;
                    transition: 0.2s;
                    @include uppercase;
                }

                .nav-link-custom {

                    &.active {
                        @include fontBold;
                        border-bottom: 5px solid red;
                        background-color: unset;
                        color: $colorRed;
                    }
                }
            }
        }

        .tab-content {

            .card-margin {
                margin: 1% 0% 2% 0%;

                .card {
                    @include card;
                }
            }
        }

        .show-more {
            @include show-more-card;
        }
    }

}

.client {
    background-color: $colorGray;
    padding-top: 5%;
    padding-bottom: 5%;

    .container {
        width: 100%;

        .client-section {
            @include uppercase;
            @include fontBold;
            letter-spacing: 0px;
            line-height: 78px;

            .client-word {
                font-family: $SerifFontNotBold;
                color: $colorRed;
                font-weight: 500;
                font-size: 59px;
            }

            .position-client {
                position: relative;
                right: auto;
                left: 36%;
            }

            .btn-get-qoute-footer {
                @include btn-read-homePage(25%);
                @include uppercase;
            }

        }

        ul {
            padding: 0;
            margin: 0;
        }

        #v-pills-tab {
            padding-top: 15%;
            font-size: 19px;
            text-transform: capitalize;

            > li {
                color: $colorGreen;
                line-height: 0px;
            }

            li {
                &.active {
                    content: '';
                    transform: translateX(3%);
                }

                &::before {
                    content: "";
                    display: block;
                    width: 25px;
                    height: 10px;
                    background: $colorRed;
                    top: 41%;
                    position: absolute;
                    left: -5%;
                }
            }

            .nav-link {
                padding: 25px 5px;
                transition: 0.2s;
            }
        }

        .nav-pills {

            .nav-link {

                &.active {
                    background-color: unset;
                    font-weight: bold;
                    text-transform: capitalize;
                }
            }
        }
    }
}

.faq {
    background-color: $colorWhite;
    padding-top: 5%;
    padding-bottom: 5%;

    .container {

        @include container;

        .faq-content {

            h2 {
                @include uppercase;
                @include fontBold;
                color: $colorGreen;
                font-family: $SerifFont;
                letter-spacing: 0px;
                font-size: 48px;
                line-height: 78px;

                .client-word {
                    @include mediumTitleRed;
                    font-size: 59px;
                }
            }

        }

        .w-100 {
            width: 100% !important;

            .faq-title {
                display: inline;
                font-size: 19px;

                > a {
                    color: $colorGreen;
                    font-family: $montserratFontBold;
                    font-size: 16px;
                    text-transform: capitalize;
                    font-weight: bold;
                    text-decoration: unset;

                    .faq-plus {
                        color: $colorRed;
                        float: right;
                    }
                }

                .under-line-footer {
                    background: $colorOrange;
                    border: none;
                    height: 2px;
                    margin-top: 4%;
                    margin-bottom: 4%;
                }
            }
        }
    }
}

.background-questions {
    background-image: url($backgroundQuestions);
    background-repeat: no-repeat;
    padding-top: 3%;
    padding-bottom: 3%;

    .container {

        @include container;

        .text-question {
            font-size: 59px;
            color: $colorWhite;
            font-family: $SerifFont;
            line-height: 98px;
            word-spacing: 1.48px;
            @include uppercase;
        }


        .text-question-desc {
            font-size: 28px;
            color: $colorWhite;
            font-family: $montserratFontMedium;
            line-height: 48px;
        }

        .contact-question {
            border-radius: 0px;
            border-color: $colorGray;
            background: $colorGray 0% 0% no-repeat padding-box;
            color: #AC170C;
            @include uppercase;

            &:hover {
                background-color: unset !important;
                border-color: unset !important;
            }
        }

        .width-20 {
            width: 20%;
        }

        .view-question {
            border-radius: 0px;
            border-color: $colorGray;
            color: $colorGray;
            @include uppercase;
            width: 20%;

            &:hover {
                background-color: unset !important;
                border-color: unset !important;
            }
        }
    }
}

.blog-background {
    background-color: $colorWhite;
    padding-top: 5%;
    padding-bottom: 5%;

    .container {

        @include container;

        .blog-title {
            font-family: $SerifFontNotBold;
            color: $colorRed;
            font-weight: 500;
            font-size: 59px;
            @include uppercase;


            .position-client {
                position: relative;
                right: auto;
                left: 36%;
            }

            .btn-get-qoute-footer {
                @include btn-read-homePage(25%);
                @include uppercase;
            }
        }

        .blog-desc {
            color: $colorGreen;
            font-size: 28px;
            line-height: 48px;
            @include fontBold;
            font-family: $montserratFontBold;
        }

        article {

            .blog-post-image {
                img {
                    max-width: 100%;
                }
            }

            .blog-title {
                @include capitalize;
                @include fontBold;
                font-family: $montserratFontBold;
                color: $colorGreen;
                font-size: 15px;
                line-height: 60px;
            }

            .blog-description {
                color: $colorGreen;
                font-family: $montserratFontBold;
                font-size: 16px;
            }

            .color-red-original {
                color: $colorRed;
            }

            .read-more {
                @include fontBold;
                @include uppercase;
                font-size: 15px;
                color: $colorRed;
                text-decoration: auto;

                &::before {
                    content: '+';
                    font-weight: bold;
                }
            }

        }
    }
}

.background-tasty-coffee {
    background-image: url($tastyCoffee);
    background-repeat: no-repeat;
    padding-top: 8%;
    padding-bottom: 3%;


    .container {

        @include container;

        .text-center {

            h2 {
                @include capitalize;
                color: $colorWhite;
                font-family: $SerifFont;
                font-size: 39px;
                line-height: 78px;
            }

            p {
                @include capitalize;
                @include font-size-16;
                color: $colorGray;
                line-height: 32px;
            }

            .d-md-block {

                .upload-button {
                    border-radius: 0px;
                    border-color: $colorWhite;
                    background: $colorOrange 0% 0% no-repeat padding-box;
                    color: $colorGray;
                    width: 20%;
                    @include uppercase;

                    &:hover {
                        background-color: unset !important;
                        border-color: unset !important;
                    }
                }

                .view-question {
                   @extend .upload-button;
                    border-color: $colorGray;
                    background:unset

                }
            }
        }
    }
}





